Subject: RE: Comments: draft-nielsen-v6ops-3GPP-zeroconf-goals-00.txt

From: "Karen E. Nielsen (AH/LMD)" <[email-masked]>
Date: Fri, 5 Nov 2004 09:53:42 +0100

Hi Jim,

Thanks.

> The spec once it speaks about tunneling is all over the place 
> saying it
> can support private addresses, NATs etc.
> 

The spec explicitly does not specify NAT traversal.
It does speak about supporting private and dynamically allocated IPv4 addresses, but
that does not necessarily involve NAT traversal and in our case [the 3gpp case]
it doesn't, as the assumption is
"There are no NATs in between the tunnel endpoints in the Zero-
        Configuration Tunnelling site."
or in other words if you like,
the tunnel server and the tunnel client are located within the same logical Ipv4 network.

> http://www.ietf.org/internet-drafts/draft-nielsen-v6ops-3GPP-z
> eroconf-go
> als-00.txt
> 
> I think some of this is just impossible for mobility.  A real case in
> S.E. Asia right now looking at 3G IPv6 deployment has the following
> problem.  Mobile (seamless) nodes will use native IPv6 and IPv4 to get
> to legacy apps that have not been ported to IPv6.  In this case the
> problem is that public IPv4 addresses are needed.  But we 
> know all that
> and we must address that case.  The other case is that to get 
> to the IMS
> networks first you havce to tunnel the packet through IPv4 network to
> IMS IPv6 network.  This is not going to work with NAT when the user is
> roaming.  So I don't see why the spec does not say this.
> 

The reason the spec doesn't speak about these cases is because
it consider the 3gpp Ipv6 in Ipv4 tunelling case only.

In the 3gpp situation then when the user is roaming it will maintain the pdp context 
- logical IP link - towards its home operator. Yes it is not very effective routing wise, but this is the 
situation.              

> Hence, my first input to this spec (and I do believe it should be WG
> item) is that we will need to discuss deployment profiles for mobility
> and more of enterprise nature than 3GPP nature.  
> 

The more general 3G deployment cases, that you point to, are
equally important to consider, I agree. This simply wasn't the scope of this document.
That may be changed of course - Or the non-3gpp cases may be treated in the general zero-conf
document:
http://www.v6ops.euro6ix.net/ietf/draft-suryanarayanan-v6ops-zeroconf-reqs-01.txt

BR, Karen

> Thanks
> /jim